<?php
// šđžčć - keep utf-8 encoding
/**
* Femina Portal - Love Calculator Facebook application
* Config file with constants needed for Facebook app
* 
* LICENSE: This source file is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License 3
* as published by the Free Software Foundation.
*
* @author     INFORBIRO - Information Technology and Marketing Agency (www.inforbiro.com) <office@inforbiro.com>
* @copyright  Femina Portal - Female Internet Portal (www.FeminaPortal.com) <info@feminaportal.com>
* @license    GNU General Public License 3, see gpl_license_v3.0.txt
* @link       http://www.inforbiro.com; http://www.feminaportal.com
* @demo       http://apps.facebook.com/fp-love-calculator/
* @source       http://www.inforbiro.com/blog-eng/free-viral-facebook-application-with-step-by-step-tutorial/
*/

include_once ('lib/facebook.php'); // Facebook client library
include_once ('config.php'); // Config file

// Constants are located in config.php file
$facebook = new Facebook(
    array(
        'appId'  => FACEBOOK_APP_ID,
        'secret' => FACEBOOK_SECRET_KEY,
        'cookie' => true,
        'domain' => FACEBOOK_DOMAIN
    )
);

$session = $facebook->getSession();
 
if (!$session) {
    $url = $facebook->getLoginUrl(array(
               'canvas' => 1,
               'fbconnect' => 0,
               'scope' => 'publish_stream'
           ));
    echo "<script type='text/javascript'>top.location.href = '$url';</script>";
} else {
	try {
		$uid = $facebook->getUser();
		$me = $facebook->api('/me');
		$updated = date("l, F j, Y", strtotime($me['updated_time']));
	} catch (FacebookApiException $e) {
		echo "<script type='text/javascript'>top.location.href = '$url';</script>";
	exit;
	} 
}

$firstName = htmlentities(trim(strip_tags(stripslashes($_REQUEST['p1']))), ENT_NOQUOTES, "UTF-8");
$secondName = htmlentities(trim(strip_tags(stripslashes($_REQUEST['p2']))), ENT_NOQUOTES, "UTF-8");

$firstNameLower = strtolower($firstName);
$secondNameLower = strtolower($secondName); 

$result = 0;

if($firstName=="YOUR NAME" && $secondName=="HIS OR HER NAME") {
	$result = "0%";
} elseif (!empty($firstName) && !empty($secondName)) {
	$result = getResult($firstNameLower, $secondNameLower)."%";
} else {
	$result = "0%";
}

if (empty($firstName)) {
	$firstName = "YOUR NAME";
}

if (empty($secondName)) {
	$secondName = "HIS OR HER NAME";
}

/**
* Function generates random number between 1 and 100 for passed names
*
* @param string $firstName
* @param string $secondName
* @return int Random number between 1 and 100
*/
function getResult($firstName, $secondName) {
	$tempResult = 0;
	$nameSum = 0;
	
	for($i = 0; $i < strlen($firstName); $i++) {
		$nameSum += ord($firstName[$i]);
	}
	
	for($i = 0; $i < strlen($secondName); $i++) {
		$nameSum += ord($secondName[$i]);
	}
	
	mt_srand($nameSum * 37);
	$tempResult = mt_rand(1, 100);

	if ($tempResult == 100) { // Nobody is perfect ;-)
		$tempResult = 99;
	}
	
	return $tempResult;
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:fb="http://www.facebook.com/2008/fbml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>
			Love Calculator
		</title>
		<link rel="image_src" href="%REPLACE path-to-your-logo e.g. http://www.inforbiro.com/fbapps/fp-love-calculator/images/fp-love-calculator-logo_75x75.png%" />
		<link href="styles.css" rel="stylesheet" type="text/css" />
		
		<script src="http://static.ak.connect.facebook.com/js/api_lib/v0.4/FeatureLoader.js.php" type="text/javascript"></script>
		<script type="text/javascript">
			window.onload = function() {
				FB_RequireFeatures(["XFBML"], function() {
					FB.Facebook.init("%REPLACE your-facebook-app-id e.g. 287560521300663%", "xd_receiver.htm");
					FB.CanvasClient.startTimerToSizeToContent();
					
					if(FB.Facebook.apiClient.get_session()) {
						publishFeed();
					}
				});
			};
		</script>
		
	</head>
	
	<body>
		
		<div id="outer-container" style="min-height:1200px;">
			<div id="content-container">
				<div class="red-box">
				
					<div id="headline" style="padding-top: 10px; padding-bottom: 15px; text-align: center; font-size:12px;">
						<h2 style="font-size:36px; font-style: italic; text-shadow: 1px 1px 2px #888;">
							LOVE CALCULATOR
						</h2>
						<h3>
							(by 
							<a href="http://www.feminaportal.com" target="_blank"><span style="">FeminaPortal.com</span></a>
							- Female Internet Portal)
						</h3>
					</div>
					
					<form name=test action="<?php echo $PHP_SELF; ?>" method="GET">
						<table border=0 align=center>
							<tbody>
								<tr>
									<td>
										<input class="name" onclick="this.value=''" value="<?php echo $firstName ?>" name=p1>
									</td>
									<td style="background-image: url(images/heart.png); width: 133px; height: 119px; align: center;">
										<div id=targetDiv align=center valign="top" style="font-size: 36px; margin-bottom: 10px;">
											<?php 
												echo $result;
											?>
										</div>
									</td>
									<td>
										<input class="name" onclick="this.value=''" value="<?php echo $secondName ?>" name=p2>
										<br />
									</td>
								</tr>
								
							</tbody>
						</table>

						<?php if($firstName == "YOUR NAME" && $secondName == "HIS OR HER NAME") { ?>
							<div style="text-align:center; padding:10px; border:2px solid #FFD324;">
								Enter your name and his/her name and press the button
							</div>
						<?php } else {?>
						
									<script type="text/javascript">
										
										function callback(post_id, exception) {
											if(post_id) {
												return true;
											}
											else {
												return false;
											}
										}
										
										function publishFeed() {
											message = "";
											attachment = {
												'name'        : '♥ <?php echo $me['first_name']; ?> has just calculated love ♥',
												'href'        : '%REPLACE your-facebook-app-url e.g. http://apps.facebook.com/fp-love-calculator/%',
												'caption'     : 'Love Calculator',
												'description' : ' ',
												'properties': { 
													' ': { 'text': '::: CALCULATE YOUR LOVE :::', 'href': '%REPLACE your-facebook-app-url e.g. http://apps.facebook.com/fp-love-calculator/%'}
												},
												'media'       : [
													{
														'type' : 'image',
														'src'  : '%REPLACE your-facebook-app-logo-path e.g.http://www.inforbiro.com/fbapps/fp-love-calculator/images/fp-love-calculator-logo_75x75.png%',
														'href' : '%REPLACE your-facebook-app-url e.g. http://apps.facebook.com/fp-love-calculator/%'
													}
												]
											};
											
											var actionLinks = [
												{ 
													"text": "Calculate Love", 
													"href": "%REPLACE your-facebook-app-url e.g. http://apps.facebook.com/fp-love-calculator%"
												}
											];
											
											try {
												if(!(FB.Connect._singleton._perms)) {
													FB.Connect._singleton._perms = new Object();
													FB.Connect._singleton._perms.extended = ["read_stream","share_item","publish_stream"];
												}
												
												FB.Connect.streamPublish(message, attachment, actionLinks, null, 'Publish Love Calculator:', callback, false, null);
											}
											catch(err) {
												alert(err);
											}
											
											return false;
										}
										
									</script>   
									
						<?php } ?>
						
						<div style="text-align: center; padding-top: 10px;">
							<input style="background: url(images/calculate.png); border: 0; width: 127px; height: 55px;" value="" type=submit />
						</div>
					</form>
					
					<div style="padding-top: 10px; text-align:center;">
						<iframe src="http://www.facebook.com/plugins/like.php?href=apps.facebook.com%2Ffp-love-calculator&amp;layout=standard&amp;show_faces=true&amp;width=450&amp;action=like&amp;colorscheme=light&amp;height=80" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:450px; height:80px;" allowTransparency="true"></iframe>
					</div>
					
				</div>
				
			</div>
			
			<div style="clear: both">
			</div>
		   	
			<fb:serverFbml style="width: 760px;">
				<script type="text/fbml">
					<fb:fbml>
						<fb:request-form 
							method="POST" 
							invite="true" 
							type="Love Calculator"
							content="I'm recommending to you &lt;fb:req-choice url=&quot;http://apps.facebook.com/fp-love-calculator/&quot; label=&quot;Check app&quot; /&gt;">
								<fb:multi-friend-selector showborder="true" actiontext="Recommend Love Calculator to friends">
						</fb:request-form>
					</fb:fbml>
				</script>
			</fb:serverFbml>
			       
			<div id="footer" class="red-box">
				Copyright (c) <a href="http://www.feminaportal.com" target="_blank" title="Femina Portal - Real Female Internet Portal">Femina Portal - Real Female Internet Portal</a>
				<br />
				Developed by <a href="http://www.inforbiro.com" target="_blank" title="INFORBIRO - Information Technology and Marketing">INFORBIRO - Information Technology and Marketing</a> 
			</div>
		</div>

	</body>
</html>
